Subject: Re: [Bitcoin-development] 0.8.5 with libsecp256k1

From: "Jeremy Spilman" <[email-masked]>
Date: Wed, 09 Oct 2013 21:10:09 -0700

Can this be combined with the ideas on deterministic signing to show  
matching signatures with OpenSSL's implementation?

Not sure if that's worth much, since we would just be testing needles in a  
very large haystack, but better than nothing?

On Wed, 09 Oct 2013 20:50:30 -0700, Warren Togami Jr. <[email-masked]>  
wrote:

> https://github.com/sipa/secp256k1
> sipa's secp256k1, optimized ecdsa, significantly faster than openssl
>
> Today someone in #bitcoin-dev asked for Bitcoin 0.8.5 with sipa's  
> secp256k1.  Litecoin has been shipping test builds with secp256k1 for  
> several months >now so it was a simple matter to throw together a branch  
> of Bitcoin 0.8.5 with secp256k1.
>
> https://github.com/wtogami/bitcoin/commits/btc-0.8.5-secp256k1
> This branch should theoretically work for Linux, win32 gitian and mac  
> builds.  These commits are rather ugly because it was thrown together  
> just to make >it build with the old 0.8 makefiles without intent for  
> production code merge. cfields is working on autotoolizing it as one of  
> the prerequisites prior to >inclusion into bitcoin master where it will  
> be an option disabled by default.
>
> http://193.28.235.60/~warren/bitcoin-0.8.5-secp256k1/
> Untested win32 gitian build.  Build your own Linux or Mac builds if you  
> want to test it.  Not recommended for production wallet or mining uses.
>
> Warren